package cpcns.common.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.controller.commonController;
import cpcns.common.model.BaseEntity;
import cpcns.common.service.ICommonService;
import cpcns.common.service.IZhengLiService;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.danganzhengli.wenshu.anjuan.model.DAnJuan;
import cpcns.dingZhi.zHUANTI.model.zHUANTI;
import cpcns.dingZhi.zHUANTI.service.IZHUANTIService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.YeWuStatic;
import java.io.IOException;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/zhengLi"})
public class zhengLiController extends commonController {
  @Autowired
  private IZhengLiService zhengLiService;
  
  @Autowired
  private ICommonService commonService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private IZHUANTIService zHUANTIService;
  
  @RequestMapping({"/getAll.do"})
  @ResponseBody
  public String getAll(HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
    try {
      Enumeration<?> rnames = getRequest().getParameterNames();
      JSONObject jsonObject = new JSONObject();
      for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
        String thisName = er.nextElement().toString();
        String thisValue = getRequest().getParameter(thisName);
        jsonObject.put(thisName, thisValue);
      } 
      User user = getCurrentUser();
      StringBuffer sqlWhere = new StringBuffer();
      Iterator<String> iterator = jsonObject.keys();
      StringBuffer sqlSearch = new StringBuffer();
      sqlSearch.append(" where 1=1 ");
      String quanZongHao = request.getParameter("quanZongHao");
      String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
      String fenLeiMingCheng = request.getParameter("fenLeiMingCheng");
      String heNeiJianShuZu = request.getParameter("heNeiJianShuZu");
      String toAddHe = request.getParameter("toAddHe");
      String xuHaoGuiZeLength = request.getParameter("xuHaoGuiZeLength");
      if (guanLianBiaoShi.equals("0")) {
        String xtlx = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
        if (StringUtils.isNotBlank(quanZongHao) && StringUtils.isNotBlank(toAddHe) && toAddHe.equals("yes") && Integer.valueOf(xtlx).intValue() == 2) {
          sqlSearch.append("and quanZongHao = '" + quanZongHao + "'");
        } else {
          Map<String, String> tjmap = new HashMap<>();
          tjmap.put("quanZongHao", quanZongHao);
          sqlSearch.append(CommStatic.IsQuanXian(user, xtlx, tjmap));
        } 
      } 
      String ml = getRequest().getParameter("menLei");
      boolean isqx = true;
      while (iterator.hasNext()) {
        String key = iterator.next();
        String value = jsonObject.getString(key);
        if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && 
          !"server".equals(key) && !"table".equals(key) && !"orderBy".equals(key) && !"order".equals(key) && !"sort".equals(key) && !"guiDangLeiXing".equals(key) && !key.equals("quanZongHao") && !key.equals("toAddHe") && !key.equals("heNeiJianShuZu") && !key.equals("xuHaoGuiZeLength") && !key.equals("nd")) {
          if (!"1".equals(value)) {
            if (!key.contains("like")) {
              if (!value.equals("null")) {
                if (key.equals("guiDangNianDu")) {
                  String nd = getRequest().getParameter("nd");
                  if (StringUtils.isNotBlank(nd)) {
                    sqlWhere.append(" and ").append(key).append(" ").append(nd).append("'").append(value).append("'");
                    continue;
                  } 
                  sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'");
                  continue;
                } 
                sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value + "'");
              } 
              continue;
            } 
            key = key.substring(0, key.indexOf("like"));
            sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value + "%'");
            continue;
          } 
          if ("WS".equals(ml))
            sqlWhere.append(" and guiDangLeiXing=" + getRequest().getParameter("guiDangLeiXing")); 
          if ("1".equals(value) && "miJi".equals(key))
            sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value + "'"); 
          if ("XWS".equals(ml))
            if (StringUtils.isNotBlank(toAddHe) && xuHaoGuiZeLength.equals("3") && StringUtils.isNotBlank(fenLeiMingCheng))
              sqlWhere.append(" and fenLeiMingCheng='" + fenLeiMingCheng + "'");  
        } 
      } 
      String zhuangTai = getRequest().getParameter("zhuangTai");
      if (zhuangTai != null) {
        sqlWhere.append(" and ").append(" zhuangTai in( ").append(1).append(",").append(0).append(",").append(2).append(",").append(5).append(')');
      } else {
        sqlWhere.append(" and ").append(" zhuangTai in( ").append(1).append(",").append(0).append(",").append(2).append(",").append(5).append(')');
      } 
      if (sqlWhere.length() > 0)
        sqlSearch.append(sqlWhere.toString()); 
      String page = request.getParameter("page");
      String rows = request.getParameter("rows");
      model.addAttribute("page", page);
      model.addAttribute("rows", rows);
      int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
      int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
      int start = (intPage - 1) * number;
      String menLei = getRequest().getParameter("menLei");
      GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
      StringBuffer sql = new StringBuffer();
      if (StringUtils.isNotBlank(menLei) && "ZP".equals(menLei)) {
        sql.append("select hangBiaoShi,xuHao,biaoTi,dangHao,miJi,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,guiDangBuMenMingCheng,guiDangBuMenBiaoShi,baoGuanQiXian,guiDangNianDu from ")
          .append(daml.getBiaoMing()).append(" where ");
      } else if (StringUtils.isNotBlank(menLei) && menLei.indexOf("FP") > 0) {
        sql.append("select quanZongHao,hangBiaoShi,xuHao,guanLianBiaoShi,yeShu,fenShu,biaoTi,dangHao,wenHao,miJi,chengWenRiQi,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,guiDangBuMenMingCheng,guiDangBuMenBiaoShi,baoGuanQiXian,guiDangNianDu,guiDangLeiXing,youYuanWen,wenZhong,fenLeiMingCheng,zhuangTai,laiYuanMingCheng,kaiFangZhuangTai,shenHeZhuangTai,zeRenZhe from ");
      } else if (StringUtils.isNotBlank(menLei) && menLei.indexOf("XWS") >= 0) {
        sql.append("select quanZongHao,hangBiaoShi,xuHao,guanLianBiaoShi,yeShu,fenShu,biaoTi,dangHao,wenHao,miJi,chengWenRiQi,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,guiDangBuMenMingCheng,guiDangBuMenBiaoShi,baoGuanQiXian,guiDangNianDu,guiDangLeiXing,youYuanWen,wenZhong,fenLeiMingCheng,zhuangTai,laiYuanMingCheng,kaiFangZhuangTai,shenHeZhuangTai,zeRenZhe from ");
      } else if (StringUtils.isNotBlank(menLei) && menLei.indexOf("WS") >= 0) {
        sql.append("select quanZongHao,hangBiaoShi,xuHao,guanLianBiaoShi,yeShu,fenShu,biaoTi,dangHao,wenHao,miJi,chengWenRiQi,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,guiDangBuMenMingCheng,guiDangBuMenBiaoShi,baoGuanQiXian,guiDangNianDu,guiDangLeiXing,youYuanWen,wenZhong,fenLeiMingCheng,zhuangTai,laiYuanMingCheng,kaiFangZhuangTai,shenHeZhuangTai,zeRenZhe,qiYeHao from ");
      } else {
        sql.append("select hangBiaoShi,xuHao,biaoTi,dangHao,miJi,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,guiDangBuMenMingCheng,guiDangBuMenBiaoShi,baoGuanQiXian,guiDangNianDu,yeShu from ");
      } 
      PagerVO pagevo = this.zhengLiService.getAllNew(start, number, sql.toString(), sqlSearch.toString(), CommStatic.getOrderBy(request, "hangBiaoShi asc"), daml.getBiaoMing());
      if ((StringUtils.isNotBlank(menLei) && "XWS".equals(menLei)) || "WS".equals(menLei) || "GMLSWS".equals(menLei)) {
        List<Map<String, Object>> listddd = pagevo.getRows();
        this.zhengLiService.setMiJiInfo(listddd);
      } 
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo)
        .replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("XUHAO", "xuHao").replaceAll("BIAOTI", "biaoTi")
        .replaceAll("DANGHAO", "dangHao").replaceAll("MIJI", "miJi").replaceAll("LIJUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng")
        .replaceAll("LIJUANDANWEIBIAOSHI", "liJuanDanWeiBiaoShi").replaceAll("GUIDANGBUMENMINGCHENG", "guiDangBuMenMingCheng")
        .replaceAll("GUIDANGBUMENBIAOSHI", "guiDangBuMenBiaoShi").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("QIYEHAO", "qiYeHao")
        .replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("YESHU", "yeShu").replaceAll("CHENGWENRIQI", "chengWenRiQi").replaceAll("ZERENZHE", "zeRenZhe")
        .replaceAll("WENHAO", "wenHao").replaceAll("KAIFANGZHUANGTAI", "kaiFangZhuangTai").replaceAll("youyuanwen", "youYuanWen");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/lijuan.do"})
  public String lijuan(HttpServletRequest request, Model model) {
    String table = request.getParameter("table");
    String server = request.getParameter("server");
    String baoGuanQiXian = request.getParameter("baoGuanQiXian");
    String guiDangNianDu = request.getParameter("guiDangNianDu");
    String hangBiaoShis = request.getParameter("hangBiaoShis");
    String menLei = request.getParameter("menLei");
    String miJi = request.getParameter("miJi");
    model.addAttribute("table", table);
    model.addAttribute("server", server);
    model.addAttribute("baoGuanQiXian", baoGuanQiXian);
    model.addAttribute("guiDangNianDu", guiDangNianDu);
    model.addAttribute("hangBiaoShis", hangBiaoShis);
    model.addAttribute("menLei", menLei);
    model.addAttribute("miJi", miJi);
    return "danganzhengli/anjuan/toAnJuan";
  }
  
  @RequestMapping({"/addWenJiantoAnJuan.do"})
  public void addWenJiantoAnJuan(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
    String menLei = request.getParameter("menLei");
    String miJi = request.getParameter("miJi");
    String table = request.getParameter("table");
    if (StringUtils.isNotBlank(hangBiaoShi) && StringUtils.isNotBlank(guanLianBiaoShi) && StringUtils.isNotBlank(menLei)) {
      String info = "";
      String[] str = hangBiaoShi.split(",");
      GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
      DAnJuan anJuan = (DAnJuan)this.commonService.getById(new DAnJuan(), Integer.valueOf(Integer.parseInt(guanLianBiaoShi)));
      if (str.length > 0) {
        String tab = "D_WenJian";
        if (StringUtils.isNotBlank(menLei) && menLei.indexOf("FP") > 0)
          tab = "D_ZHUANTI"; 
        Map<String, String> map = new HashMap<>();
        map.put("table", tab);
        map.put("hao", "xuHao");
        map.put("guanLianBiaoShi", guanLianBiaoShi);
        Integer xh = Integer.valueOf(Integer.parseInt(this.commonService.shengChengHao(map)));
        for (int i = 0; i < str.length; i++) {
          String hangbiaoshi = str[i];
          try {
            Map<String, String> xgzd = new HashMap<>();
            xgzd.put("guanLianBiaoShi", guanLianBiaoShi);
            if (StringUtils.isNotBlank(menLei) && "WS".equals(menLei))
              xgzd.put("guiDangLeiXing", "1"); 
            Map<String, String> tjzd = new HashMap<>();
            tjzd.put("hangBiaoShi", hangbiaoshi);
            String zu = "";
            if (StringUtils.isNotBlank(menLei) && menLei.indexOf("FP") > 0) {
              Integer hbs = Integer.valueOf(Integer.parseInt(hangbiaoshi));
              zHUANTI wj = (zHUANTI)this.zHUANTIService.getById(zHUANTI.class, hbs);
              if (anJuan != null && wj != null) {
                GDangAnMenLei dhgz = this.gDangAnMenLeiService.getByFenLeiHao(wj.getMenLei());
                String dh = String.valueOf(anJuan.getDangHao()) + dhgz.getFenGeFu() + CommStatic.geShiHuanStr((String)xh, 4);
                xgzd.put("dangHaoString", dh);
                xgzd.put("xuHao", xh);
                xgzd.put("fenLeiHaoString", anJuan.getFenLeiHao());
                xgzd.put("fenLeiMingChengString", anJuan.getFenLeiMingCheng());
                xgzd.put("guiDangNianDu", anJuan.getGuiDangNianDu());
                xgzd.put("guiDangLeiXing", "1");
                zu = String.valueOf(wj.getBiaoTi()) + "$." + wj.getDangHao() + "$." + wj.getMenLei();
              } 
            } else {
              BaseEntity wenJian = (BaseEntity)this.commonService.getById(YeWuStatic.getMenLeiToEntity(menLei), Integer.valueOf(Integer.parseInt(hangbiaoshi)));
              if (anJuan != null && wenJian != null) {
                GDangAnMenLei dhgz = this.gDangAnMenLeiService.getByFenLeiHao(wenJian.getMenLei());
                String dh = String.valueOf(anJuan.getDangHao()) + dhgz.getFenGeFu() + CommStatic.geShiHuanStr((String)wenJian.getXuHao(), 4);
                xgzd.put("dangHaoString", dh);
                zu = String.valueOf(wenJian.getBiaoTi()) + "$." + wenJian.getDangHao() + "$." + wenJian.getMenLei();
              } 
            } 
            this.commonService.updateGuiDang(this.server, table, daml.getBiaoMing(), guanLianBiaoShi, xgzd, tjzd);
            String lxStr = "案卷：";
            this.commonService.updateQiZhiShiJian(this.server, table, daml.getBiaoMing(), guanLianBiaoShi);
            rm.setSuccess(true);
            info = "添加成功！";
            this.commonService.addDA_RiZhi(getCurrentUser(), this.server, tab, Integer.valueOf(hangbiaoshi), zu, "组卷");
            xh = Integer.valueOf(xh.intValue() + 1);
          } catch (Exception e) {
            e.printStackTrace();
            rm.setSuccess(false);
            info = "添加失败！";
          } 
        } 
      } 
      this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_AnJuan", Integer.valueOf(guanLianBiaoShi), String.valueOf(anJuan.getBiaoTi()) + "$." + anJuan.getDangHao() + "$." + anJuan.getMenLei(), "添加卷内文件");
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
    } 
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/commCheckYuanWen.do"})
  public String commCheckYuanWen(HttpServletRequest request, Model model) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String menLei = request.getParameter("menLei");
    "WS".equals(menLei);
    return "";
  }
  
  @RequestMapping({"/openHeList.do"})
  public String openHeList(HttpServletRequest request, HttpServletResponse response, Model model) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    Integer allYeShu = Integer.valueOf(Integer.parseInt(getRequest().getParameter("allYeShu")));
    String guiDangNianDu = getRequest().getParameter("guiDangNianDu");
    String baoGuanQiXian = getRequest().getParameter("baoGuanQiXian");
    String fenLeiMingCheng = getRequest().getParameter("fenLeiMingCheng");
    String menLei = getRequest().getParameter("menLei");
    String xuHaos = getRequest().getParameter("xuHaos");
    String check = getRequest().getParameter("check");
    model.addAttribute("menLei", menLei);
    model.addAttribute("hangBiaoShis", hangBiaoShis);
    model.addAttribute("guiDangNianDu", guiDangNianDu);
    model.addAttribute("baoGuanQiXian", baoGuanQiXian);
    model.addAttribute("fenLeiMingCheng", fenLeiMingCheng);
    model.addAttribute("allYeShu", allYeShu);
    model.addAttribute("xuHaos", xuHaos);
    model.addAttribute("check", check);
    return "/danganzhengli/danganhe/zhuangHeList";
  }
}
